Skip to main content
GET
/
v1
/
meters
List Meters
curl --request GET \
  --url https://api.monk.com/v1/meters \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "code": "<string>",
      "displayName": "<string>",
      "description": "<string>",
      "aggregationType": "SUM",
      "status": "active",
      "eventTypeFilter": {
        "include": [
          "<string>"
        ],
        "exclude": [
          "<string>"
        ]
      },
      "propertyFilters": [
        {}
      ],
      "aggregationKey": "<string>",
      "groupKeys": [
        "<string>"
      ],
      "sql": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "total": 123
}
Scope: meters:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: x <= 100
offset
integer
default:0
status
enum<string>
default:active
Available options:
active,
inactive,
all

Response

Meter list

data
object[]
hasMore
boolean
total
integer